#---------------------------------------------------------------------------------
# Source and Install directories
#---------------------------------------------------------------------------------

SRCDIR=../../gcc-4.7.2                       # the sourcecode dir for gcc
                                             # This *must* be specified in the format shown here
                                             # as one of the tools built during the process will fail
                                             # if absolute paths are specified
                                             # the example here assumes that the gcc source directory
                                             # is at the same level as the script

prefix=/c/cross-gcc/i786-elf                  # installation directory
                                             # This *must* be specified in the format shown here
                                             # or gcc won't be able to find it's libraries and includes
                                             # if you move the installation

#---------------------------------------------------------------------------------
# set the path for the installed binutils
#---------------------------------------------------------------------------------

export PATH=${PATH}:/c/cross-gcc/i786-elf/bin

#---------------------------------------------------------------------------------
# set the target and compiler flags
#---------------------------------------------------------------------------------

target=i786-elf

export CFLAGS='-O2 -pipe'
export CXXFLAGS='-O2 -pipe'
export LDFLAGS='-s'
export DEBUG_FLAGS=''

#---------------------------------------------------------------------------------
# build and install just the c compiler
#---------------------------------------------------------------------------------

mkdir -p $target/gcc
cd $target/gcc

$SRCDIR/configure --enable-languages=c,c++ --enable-interwork --enable-multilib --with-gcc --with-gnu-ld --with-gnu-as --with-stabs --disable-shared --disable-threads --disable-win32-registry --disable-nls --target=$target --with-newlib --prefix=$prefix -v 2>&1 | tee gcc_configure.log

make all-gcc | tee make-c-only.log 2>&1
make install-gcc | tee install-c-only.log 2>&1